tigase.jaxmpp.core.client.xmpp.modules.chat

## Class MessageCarbonsModule

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaModule<T>
  - - tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaExtendableModule<Message>
    - - tigase.jaxmpp.core.client.xmpp.modules.chat.MessageCarbonsModule

- All Implemented Interfaces:
    ContextAware, ExtendableModule, InitializingModule, XmppModule

      public class MessageCarbonsModule
      extends AbstractStanzaExtendableModule<Message>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MessageCarbonsModule.CarbonEventType`
    `static interface` | `MessageCarbonsModule.CarbonReceivedHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `XMLNS_MC` XMLNS of Message Carbons.

    - ### Fields inherited from class tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaModule

      `context, log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageCarbonsModule()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `beforeRegister()` Called just before registration module in XmppModulesManager .
    `void` | `disable(AsyncCallback callback)` Disable carbons.
    `void` | `enable(AsyncCallback callback)` Enable carbons.
    `Criteria` | `getCriteria()` Criteria
    `String[]` | `getFeatures()` Returns features what are implemented by Module.
    `void` | `process(Message message)` Method for processing incoming stanza.
    `protected void` | `processReceivedCarbon(Message message, Element carb)`
    `protected void` | `processSentCarbon(Message message, Element carb)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaExtendableModule

      `addExtension, getExtensionChain, getFeaturesWithExtensions, removeExtension, write, write, write`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaModule

      `afterRegister, beforeUnregister, fireEvent, getFirstChild, process, setContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### XMLNS_MC

          public static final String XMLNS_MC

      XMLNS of Message Carbons.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MessageCarbonsModule

          public MessageCarbonsModule()
                               throws JaxmppException

      Throws:
        `JaxmppException`

  - ### Method Detail

    - #### beforeRegister

          public void beforeRegister()

      Description copied from interface: `InitializingModule`
      Called just before registration module in XmppModulesManager . It is good place to check if module is initialized properly.
      Specified by:
        `beforeRegister` in interface `InitializingModule`
      Overrides:
        `beforeRegister` in class `AbstractStanzaModule<Message>`

    - #### disable

          public void disable(AsyncCallback callback)
                       throws JaxmppException

      Disable carbons.
      Parameters:
        `callback` - callback
      Throws:
        `JaxmppException`

    - #### enable

          public void enable(AsyncCallback callback)
                      throws JaxmppException

      Enable carbons.
      Parameters:
        `callback` - callback
      Throws:
        `JaxmppException`

    - #### getCriteria

          public Criteria getCriteria()

      Description copied from interface: `XmppModule`
      Criteria
      Returns:

    - #### getFeatures

          public String[] getFeatures()

      Description copied from interface: `XmppModule`

      Returns features what are implemented by Module.

      See Service Discovery Features

      Returns:
        array of features

    - #### process

          public void process(Message message)
                       throws JaxmppException

      Description copied from class: `AbstractStanzaModule`
      Method for processing incoming stanza.
      Specified by:
        `process` in class `AbstractStanzaModule<Message>`
      Parameters:
        `message` - incoming stanza
      Throws:
        `JaxmppException`

    - #### processReceivedCarbon

          protected void processReceivedCarbon(Message message,
                                               Element carb)
                                        throws JaxmppException

      Throws:
        `JaxmppException`

    - #### processSentCarbon

          protected void processSentCarbon(Message message,
                                           Element carb)
                                    throws JaxmppException

      Throws:
        `JaxmppException`

Copyright © 2006–2023 Tigase. All rights reserved.